Provision a fee wrapper on an existing gVault
curl --request POST \
--url https://sandbox.groundtech.co/v2/fee-wrappers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "a1b2c3d4-0000-4000-8000-000000000001",
"gVaultId": "ground-ustb-vault",
"feeRecipientAddress": "0x2222222222222222222222222222222222222222",
"performanceFeeBps": 2000
}
'import requests
url = "https://sandbox.groundtech.co/v2/fee-wrappers"
payload = {
"requestId": "a1b2c3d4-0000-4000-8000-000000000001",
"gVaultId": "ground-ustb-vault",
"feeRecipientAddress": "0x2222222222222222222222222222222222222222",
"performanceFeeBps": 2000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: 'a1b2c3d4-0000-4000-8000-000000000001',
gVaultId: 'ground-ustb-vault',
feeRecipientAddress: '0x2222222222222222222222222222222222222222',
performanceFeeBps: 2000
})
};
fetch('https://sandbox.groundtech.co/v2/fee-wrappers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "8f4c52d7-62ab-4db9-a964-92f481f6b851",
"requestId": "2b8332ce-5fe8-4fa6-a1da-d30a78285e07",
"gVaultId": "ground-ustb-vault",
"status": "ready",
"contractAddress": "0x7C4A1cb5a3D5C3c4E019c3f6aB29A0f98C21B814",
"feeRecipientAddress": "0x92E6A1eD742f0C8502F902C61775F57728985b42",
"performanceFeeBps": 2000,
"maxPerformanceFeeBps": 2000,
"createdAt": "2026-09-02T18:42:11.000Z",
"updatedAt": "2026-09-02T18:43:29.000Z"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Service temporarily unavailable",
"code": "service_temporarily_unavailable",
"retryable": true
}Fee Wrappers
Provision a fee wrapper
POST
/
v2
/
fee-wrappers
Provision a fee wrapper on an existing gVault
Provisions a revenue-sharing fee wrapper around an existing Ground gVault.
Use the returned fee-wrapper ID to check when the contract is ready.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Provisioning accepted.
Available options:
provisioning, ready, failed